Name:          sslext
Version:       1.2
Release:       16
Summary:       Struts SSL Switching Extension
License:       ASL 1.1
Url:           http://sslext.sourceforge.net/
#cvs -d:pserver:anonymous@sslext.cvs.sourceforge.net:/cvsroot/sslext login
#cvs -z3 -d:pserver:anonymous@sslext.cvs.sourceforge.net:/cvsroot/sslext export -r Release1_2_1 sslext120
#rm -rf sslext120/web/WEB-INF/lib/*.jar
#rm -rf sslext120/sslext-struts1.2-*.*
#rm -rf $(find sslext120 -name "CVS")
#rm -rf $(find sslext120 -name "*.class")
#rm -rf $(find sslext120 -name "*.bak")
# non free
# rm -rf sslext120/web/WEB-INF/web-app_2_3.dtd
#mv sslext120 sslext-1.2
#tar czf sslext-1.2-realclean-src-cvs.tar.gz sslext-1.2
Source0:       sslext-%{version}-realclean-src-cvs.tar.gz
Source1:       https://repo1.maven.org/maven2/sslext/sslext/%{version}-0/sslext-%{version}-0.pom
Patch0:        %{name}-%{version}-build.patch
# fix build java5+
Patch1:        %{name}-%{version}-SecureRequestUtils.patch
# update struts reference
Patch2:        %{name}-%{version}-pom.patch
# build apis documentation
Patch3:        %{name}-%{version}-javadocs.patch

BuildRequires: java-devel
BuildRequires: javapackages-local

BuildRequires: ant
BuildRequires: apache-commons-beanutils
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-digester
BuildRequires: apache-commons-fileupload
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-validator
BuildRequires: jakarta-oro
BuildRequires: struts
BuildRequires: tomcat-jsp-2.3-api
BuildRequires: tomcat-servlet-4.0-api

BuildArch:     noarch

%description
Extension to the Struts framework that allows developers to configure web
applications to automatically switch between the HTTP and HTTPS protocols.
Configuration is performed within the Struts config XML file.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
mkdir -p web/WEB-INF/classes
%patch0 -p0
sed -i "s|tomcat-servlet-3.0-api|tomcat-servlet-api|" build.xml
sed -i "s|tomcat-jsp-2.2-api|tomcat-jsp-api|" build.xml
sed -i "s|1.5|1.6|" build.xml
%patch1 -p0
cp -p %{SOURCE1} pom.xml
%patch2 -p0
%patch3 -p0

%build

export CLASSPATH=$(build-classpath tomcat-servlet-api tomcat-jsp-api)
%ant compile make-jar javadoc

%install
%mvn_artifact pom.xml web/WEB-INF/lib/%{name}.jar
%mvn_file %{name}:%{name} %{name}
%mvn_install -J docs

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Tue Nov 3 2020 wangxiao <wangxiao65@huawei.com> - 1.2-16
- package init
